import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import { PrimaryAction } from '../../actions/PrimaryAction';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, unknown, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        action: unknown;
        quiet: boolean;
    }>;
    argTypes: {
        action: {
            options: PrimaryAction[];
            control: string;
            defaultValue: PrimaryAction;
        };
        default: {
            control: string;
            defaultValue: string;
        };
        disabled: {
            control: string;
            table: {
                category: string;
            };
        };
    };
    parameters: {
        layout: string;
    };
};
export default _default;
export declare const Configurable: (args: Args, { argTypes }: StoryContext) => Vue.Component;
export declare const AllCombinations: {
    (_args: Record<string, unknown>, { argTypes }: {
        argTypes: Record<string, unknown>;
    }): Vue.Component;
    argTypes: {
        action: {
            table: {
                disable: boolean;
            };
        };
        disabled: {
            table: {
                disable: boolean;
            };
        };
        quiet: {
            table: {
                disable: boolean;
            };
        };
    };
};
