import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import { SearchResult } from '../typeahead-search/http/SearchClient';
import './TypeaheadSuggestion.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, {
        defaultThumbnailIcon: string;
    }, {
        onMouseOver(event: MouseEvent): void;
        onClick(event: MouseEvent): void;
    }, {
        rootClasses: Record<string, boolean>;
        suggestionWikiLink: string;
        thumbnailBackgroundImage: string;
    }, {
        active: boolean;
        articlePath: string;
        query: string;
        suggestion: SearchResult;
        urlGenerator: import("./UrlGenerator").UrlGenerator;
        showThumbnail: boolean;
        showDescription: boolean;
    }>;
    argTypes: {
        query: {
            defaultValue: string;
        };
        suggestion: {
            table: {
                disable: boolean;
            };
        };
        urlGenerator: {
            table: {
                disable: boolean;
            };
        };
    };
};
export default _default;
export declare const Configurable: {
    (args: Args, { argTypes }: StoryContext): Vue.Component;
    argTypes: {
        suggestionTitle: {
            control: string;
            defaultValue: string;
            description: string;
            table: {
                category: string;
            };
        };
        suggestionDescription: {
            control: string;
            defaultValue: string | undefined;
            description: string;
            table: {
                category: string;
            };
        };
        suggestionHasThumbnail: {
            control: string;
            defaultValue: boolean;
            description: string;
            table: {
                category: string;
            };
        };
        suggestionThumbnailUrl: {
            control: string;
            defaultValue: string | undefined;
            description: string;
            table: {
                category: string;
            };
        };
    };
};
export declare const ExampleList: (args: Args, context: StoryContext) => Vue.Component;
export declare const ExampleListWithGraphemes: (args: Args, context: StoryContext) => Vue.Component;
